Newly bought Ipod Touch with 1.1.3 -help needed

Discussion in 'iPod touch 1.1.3 Application Compatibility' started by shonats, Feb 13, 2008.

  1. shonats

    shonats New Member

    Joined:
    Feb 13, 2008
    Messages:
    1
    Likes Received:
    0
    Hi all, i need a little advice for ipod experts there since i just bought my ipod 2 days ago and it has the firmware 1.1.3 already in it. There are no other additional apps, all are default factory apps and settings. Can i jailbreak it to add those 3rd party apps? even if it wasnt jailbroken before?
  2. reijimitsurgi

    reijimitsurgi New Member

    Joined:
    Jan 1, 2008
    Messages:
    11
    Likes Received:
    0

Share This Page